Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161586 - udev: name differs from kernel name -> two nodes
Summary: udev: name differs from kernel name -> two nodes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev
Version: 4.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 17:34 UTC by nate.dailey
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 07:44:17 UTC


Attachments (Terms of Use)

Description nate.dailey 2005-06-24 17:34:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
If udev is used to assign a name to a device that differs from the kernel name, then you can end up with two device nodes for the device: one with the kernel name (created when udev runs in the initrd) and one with the udev name (when udev runs from rc.sysinit).

I believe I read somewhere that the recommended method is to create symlinks rather than changing the name. This doesn't work, though, if you want to assign disk names that overlap with the kernel disk-namespace. For example, I'm assigning disks names based on where they're located. So for example, disk in slot 1 of an enclosure is sda, slot 2 is sdb, and so on. But if there's no disk in slot 2, then the disk in slot 3 might have kernel name = sdb, but udev name = sdc.

This isn't a huge problem, but it can be confusing to have two nodes for the same device.

Version-Release number of selected component (if applicable):
udev-039-10.8.EL4

How reproducible:
Always

Steps to Reproduce:
1. Create a udev rule that assigns a name to a device that differs from the kernel name.
2. Reboot.


Actual Results:  Two nodes in /dev for the device (assuming udev didn't give some other device the same name as the kernel name of the first device).

Expected Results:  I might expect just one node, with the udev name.

Additional info:

Comment 1 Harald Hoyer 2005-06-27 07:44:17 UTC
This will never be supported. Sorry.


Note You need to log in before you can comment on or make changes to this bug.